using Edu.Common.Plugin;
using System;
using System.Collections.Generic;
using System.Text;

namespace Edu.Common.Enum.Sale
{
    /// <summary>
    /// 订单类型枚举
    /// </summary>
    public enum OrderTypeEnum
    {
        /// <summary>
        /// 班级课程订单
        /// </summary>
        [EnumField("班级课程订单")]
        CourseOrder = 1,

        /// <summary>
        /// 留学订单
        /// </summary>
        [EnumField("留学就业订单")]
        StudyabroadOrder = 2,
    }

    /// <summary>
    /// 订单报入类型
    /// </summary>
    public enum OrderJoinTypeEnum
    {
        /// <summary>
        /// 正常报入
        /// </summary>
        [EnumField("正常报入")]
        Normal = 1,

        /// <summary>
        /// 插班报入
        /// </summary>
        [EnumField("插班报入")]
        InsertClass = 2,

        /// <summary>
        /// 续费订单
        /// </summary>
        [EnumField("续费订单")]
        RenewOrder = 3,

        /// <summary>
        /// 转班订单
        /// </summary>
        [EnumField("转班订单")]
        TransOrder = 4,

        /// <summary>
        /// 分拆订单
        /// </summary>
        [EnumField("分拆订单")]
        SplitOrder = 5,
    }
}
